import st3m.run, random, leds, time

from st3m.application import Application, ApplicationContext
from st3m.input import InputState
from ctx import Context

class teapot37C3(Application):
    def __init__(self, context):
        super().__init__(context)
        self.current_frame = 1
        self.max_frames = 30
    def think(self, ins: InputState, delta_ms: int) -> None:
        super().think(ins, delta_ms)
        leds.set_all_rgb(05, 40, 10)
        leds.update()
    def draw(self, ctx: Context) -> None:
        ctx.rgb(0, 0, 0).rectangle(-120, -120, 240, 240 ).fill()
        # Loop if we printed the last frame
        if self.current_frame > self.max_frames:
                self.current_frame = 1
        theframe = "/sd/apps/teapot37C3/frames/img-"+str('{0:04d}'.format(self.current_frame))+".png"
        # Draw frame
        ctx.image(theframe,-120, -120, 240, 240)
#        time.sleep (0.06)
        # Increase frame
        self.current_frame += 1
if __name__ == "__main__":
    # Continue to make runnable via mpremote run.
    st3m.run.run_view(teapot37C3(ApplicationContext()))
